Name:           perl-Crypt-SaltedHash
Version:        0.09
Release:        1%{?dist}
Summary:        Perl interface to functions that assist in working with salted hashes
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Crypt-SaltedHash/
Source0:        http://www.cpan.org/modules/by-module/Crypt/Crypt-SaltedHash-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  dos2unix
BuildRequires:  perl
BuildRequires:  perl(Digest)
# Digest::SHA required in t/bug-localize-regex-vars.t as validate is called with a unrecognisable hash function, which then defaults (via the new function) to using SHA
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
Requires:       perl(Digest::SHA)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Crypt::SaltedHash module provides an object oriented interface to
create salted (or seeded) hashes of clear text data. The original
formalization of this concept comes from RFC-3112 and is extended by the
use of different digital algorithms.

%prep
%setup -q -n Crypt-SaltedHash-%{version}
dos2unix Changes
dos2unix README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Apr 13 2014 David Dick <ddick@cpan.org> - 0.09-1
- Initial release
